elftosb::DataSource Class Referenceabstract

Abstract base class for data sources. More...

`#include <DataSource.h>`

Inheritance diagram for elftosb::DataSource:
[legend]
Collaboration diagram for elftosb::DataSource:
[legend]

## Classes

class | PatternSegment
| This is a special type of segment containing a repeating pattern. More...
class | Segment
| Discrete, contiguous part of the source's data. More...

## Public Member Functions

| DataSource ()
| Default constructor.
virtual | ~DataSource ()
| Destructor.
Data target
void | setTarget (DataTarget *target)
| Sets the associated data target.
DataTarget * | getTarget () const
| Gets the associated data target.
Segments
virtual unsigned | getSegmentCount ()=0
| Returns the number of segments in this data source.
virtual Segment * | getSegmentAt (unsigned index)=0
| Returns segment number index of the data source.

## Protected Attributes

DataTarget * | m_target
| Corresponding target for this source.

## Detailed Description

Abstract base class for data sources.

Data sources represent any sort of data that can be placed or loaded into a target region. Sources may be a single blob of data read from a file or may consist of many segments.

The three most important features of data sources are:

- Sources may be multi-segmented.
- Sources and/or segments can have a "natural" or default target location.
- The target for a source may be taken into consideration when the source describes itself.

The documentation for this class was generated from the following file:

- apps/elftosb/common/DataSource.h